> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put notifications status



## OpenAPI

````yaml /api-reference/specs/hmrc-dps.json put /notifications/{notificationId}/status
openapi: 3.0.1
info:
  title: HMRC DPS Service
  description: >-
    HMRC Data Provisioning Service (DPS) API for payroll notifications and data
    retrieval
  contact:
    name: FlowPayroll
    email: support@flowpayroll.com
  version: v1
servers:
  - url: https://api.sandbox.flowpayroll.ai/v1/hmrc-dps
security:
  - X-Auth-Token: []
    X-Org-Id: []
tags:
  - name: Notifications
    description: >-
      List, retrieve, and act on individual HMRC DPS notifications (apply,
      ignore, reassign, set status).
  - name: Bulk actions
    description: Apply, dismiss, retrieve, and re-match notifications in bulk.
  - name: Jobs
    description: Track and cancel asynchronous DPS retrieval and processing jobs.
  - name: Pagination
    description: Inspect and initialise DPS pagination state.
paths:
  /notifications/{notificationId}/status:
    put:
      tags:
        - Notifications
      operationId: UpdateNotificationStatus
      parameters:
        - name: notificationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DpsNotificationStatusUpdateRequestDto'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBody_DpsNotificationDisplayDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBody_DpsErrorDto'
components:
  schemas:
    DpsNotificationStatusUpdateRequestDto:
      type: object
      properties:
        status:
          type: string
        updatedBy:
          type: string
      additionalProperties: false
    ResponseBody_DpsNotificationDisplayDto:
      type: object
      properties:
        message:
          $ref: '#/components/schemas/MessageWithTokenResponse'
        content:
          $ref: '#/components/schemas/ContentResponse_DpsNotificationDisplayDto'
        validationIssues:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
          nullable: true
      additionalProperties: false
    ResponseBody_DpsErrorDto:
      type: object
      properties:
        message:
          $ref: '#/components/schemas/MessageWithTokenResponse'
        content:
          $ref: '#/components/schemas/ContentResponse_DpsErrorDto'
        validationIssues:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
          nullable: true
      additionalProperties: false
    MessageWithTokenResponse:
      type: object
      properties:
        text:
          type: string
        token:
          type: string
        tokenArguments:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueArgument'
          nullable: true
      additionalProperties: false
    ContentResponse_DpsNotificationDisplayDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DpsNotificationDisplayDto'
        metadata:
          $ref: '#/components/schemas/ContentMetadataResponse'
      additionalProperties: false
    ValidationIssue:
      type: object
      properties:
        field:
          type: string
        reason:
          type: string
        reasonToken:
          type: string
        reasonTokenArguments:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueArgument'
          nullable: true
      additionalProperties: false
    ContentResponse_DpsErrorDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/DpsErrorDto'
        metadata:
          $ref: '#/components/schemas/ContentMetadataResponse'
      additionalProperties: false
    ValidationIssueArgument:
      type: object
      properties:
        name:
          type: string
        value:
          nullable: true
      additionalProperties: false
    DpsNotificationDisplayDto:
      type: object
      properties:
        notificationId:
          type: string
        dataType:
          enum:
            - P6
            - P9
            - SL1
            - SL2
            - PGL1
            - PGL2
            - AR
            - NOT
            - RTI
            - CIS
            - P35
            - CISINFO29
            - All
          type: string
        formType:
          type: string
        status:
          enum:
            - Due
            - Applied
            - Dismissed
          type: string
        issueDate:
          type: string
          format: date-time
          nullable: true
        effectiveDate:
          type: string
          format: date-time
          nullable: true
        createdDate:
          type: string
          format: date-time
        appliedDate:
          type: string
          format: date-time
          nullable: true
        dismissedDate:
          type: string
          format: date-time
          nullable: true
        actionNeeded:
          type: boolean
        notificationEmployeeData:
          $ref: '#/components/schemas/NotificationEmployeeData'
        matchedEmployeeId:
          type: string
          nullable: true
        content:
          $ref: '#/components/schemas/NotificationContent'
        rawXml:
          type: string
          nullable: true
        createdBy:
          type: string
        appliedBy:
          type: string
          nullable: true
        dismissedBy:
          type: string
          nullable: true
        appliedChanges:
          $ref: '#/components/schemas/AppliedChangesSnapshot'
      additionalProperties: false
    ContentMetadataResponse:
      type: object
      properties:
        dateFormat:
          type: string
        dateTimeFormat:
          type: string
        paginationToken:
          type: string
          nullable: true
      additionalProperties: false
    DpsErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
      additionalProperties: false
    NotificationEmployeeData:
      type: object
      properties:
        nationalInsuranceNumber:
          type: string
          nullable: true
        worksNumber:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        forename:
          type: string
          nullable: true
        surname:
          type: string
          nullable: true
      additionalProperties: false
    NotificationContent:
      type: object
      properties:
        effectiveDate:
          type: string
          format: date-time
          nullable: true
        taxYearEnd:
          type: integer
          format: int32
          nullable: true
        formType:
          type: string
          nullable: true
        priority:
          type: integer
          format: int32
        sequenceNumber:
          type: integer
          format: int32
          nullable: true
        isEmployeeSpecific:
          type: boolean
        p6:
          $ref: '#/components/schemas/P6Content'
        p9:
          $ref: '#/components/schemas/P9Content'
        sL1:
          $ref: '#/components/schemas/SL1Content'
        sL2:
          $ref: '#/components/schemas/SL2Content'
        pgL1:
          $ref: '#/components/schemas/PGL1Content'
        pgL2:
          $ref: '#/components/schemas/PGL2Content'
        ar:
          $ref: '#/components/schemas/ARContent'
        rti:
          $ref: '#/components/schemas/RTIContent'
        p35:
          $ref: '#/components/schemas/P35Content'
        p11Db:
          $ref: '#/components/schemas/P11DbContent'
        cis:
          $ref: '#/components/schemas/CISContent'
        incentive:
          $ref: '#/components/schemas/IncentiveContent'
        penalty:
          $ref: '#/components/schemas/PenaltyContent'
        nonFiling:
          $ref: '#/components/schemas/NonFilingContent'
        generic:
          $ref: '#/components/schemas/GenericContent'
      additionalProperties: false
    AppliedChangesSnapshot:
      type: object
      properties:
        previousTaxCode:
          type: string
          nullable: true
        previousIsWeek1Month1:
          type: boolean
          nullable: true
        newValue:
          type: string
          nullable: true
        changeType:
          type: string
          nullable: true
        capturedAt:
          type: string
          format: date-time
      additionalProperties: false
    P6Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        taxCode:
          type: string
        isWeek1Month1Basis:
          type: boolean
        taxRegime:
          type: string
        totalPreviousPay:
          type: number
          format: double
          nullable: true
        totalPreviousPayCurrency:
          type: string
          nullable: true
        totalPreviousTax:
          type: number
          format: double
          nullable: true
        totalPreviousTaxCurrency:
          type: string
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    P9Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        taxCode:
          type: string
        isWeek1Month1Basis:
          type: boolean
        taxRegime:
          type: string
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SL1Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        loanType:
          type: string
        planType:
          type: string
        loanStartDate:
          type: string
          format: date-time
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SL2Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        loanType:
          type: string
        loanEndDate:
          type: string
          format: date-time
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PGL1Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        loanType:
          type: string
        planType:
          type: string
        loanStartDate:
          type: string
          format: date-time
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PGL2Content:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        worksNumber:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        loanType:
          type: string
        loanEndDate:
          type: string
          format: date-time
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ARContent:
      type: object
      properties:
        reminderType:
          type: string
        taxYear:
          type: string
        dueDate:
          type: string
          format: date-time
        amountDue:
          type: number
          format: double
        hmrcOffice:
          type: string
        agentName:
          type: string
          nullable: true
        employerRef:
          type: string
          nullable: true
        employerAddressLines:
          type: array
          items:
            type: string
        employerPostCode:
          type: string
          nullable: true
        employerCountry:
          type: string
          nullable: true
        aoRef:
          type: string
          nullable: true
        hmrcOfficeNumber:
          type: string
          nullable: true
        hmrcOfficeReference:
          type: string
          nullable: true
        hmrcOfficeName:
          type: string
          nullable: true
        hmrcOfficeAddressLines:
          type: array
          items:
            type: string
        hmrcTelephoneNumber:
          type: string
          nullable: true
        hmrcTelephoneExtension:
          type: string
          nullable: true
        hmrcTelephoneType:
          type: string
          nullable: true
        hmrcTelephoneMobile:
          type: string
          nullable: true
        hmrcTelephonePreferred:
          type: string
          nullable: true
        agentId:
          type: string
          nullable: true
        agentAddressLines:
          type: array
          items:
            type: string
        agentPostCode:
          type: string
          nullable: true
        agentCountry:
          type: string
          nullable: true
        liabilityTypes:
          type: array
          items:
            type: string
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    RTIContent:
      type: object
      properties:
        employeeNationalInsuranceNumber:
          type: string
        payrollId:
          type: string
          nullable: true
        employeeName:
          type: string
        employeeTitle:
          type: string
          nullable: true
        employeeInitials:
          type: string
          nullable: true
        employeeSurname:
          type: string
          nullable: true
        correlationId:
          type: string
        requiredAction:
          type: string
        correctNino:
          type: string
          nullable: true
        providedNino:
          type: string
          nullable: true
        isFromNinoVerificationRequest:
          type: boolean
        isFromFullPaymentSubmission:
          type: boolean
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    P35Content:
      type: object
      properties:
        notificationType:
          type: string
        messageText:
          type: string
        periodEnding:
          type: string
          format: date-time
          nullable: true
        headerText:
          type: string
          nullable: true
        employerRef:
          type: string
          nullable: true
        employerAddressLines:
          type: array
          items:
            type: string
        employerPostCode:
          type: string
          nullable: true
        employerCountry:
          type: string
          nullable: true
        aoRef:
          type: string
          nullable: true
        hmrcOfficeNumber:
          type: string
          nullable: true
        hmrcOfficeReference:
          type: string
          nullable: true
        hmrcOfficeName:
          type: string
          nullable: true
        hmrcOfficeAddressLines:
          type: array
          items:
            type: string
        hmrcTelephoneNumber:
          type: string
          nullable: true
        hmrcTelephoneExtension:
          type: string
          nullable: true
        hmrcTelephoneType:
          type: string
          nullable: true
        hmrcTelephoneMobile:
          type: string
          nullable: true
        hmrcTelephonePreferred:
          type: string
          nullable: true
        agentId:
          type: string
          nullable: true
        agentName:
          type: string
          nullable: true
        agentAddressLines:
          type: array
          items:
            type: string
        agentPostCode:
          type: string
          nullable: true
        agentCountry:
          type: string
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    P11DbContent:
      type: object
      properties:
        notificationType:
          type: string
        messageText:
          type: string
        periodEnding:
          type: string
          format: date-time
          nullable: true
        formType:
          type: string
          nullable: true
        headerText:
          type: string
          nullable: true
        taxYearEnd:
          type: integer
          format: int32
          nullable: true
        employerRef:
          type: string
          nullable: true
        employerAddressLines:
          type: array
          items:
            type: string
        employerPostCode:
          type: string
          nullable: true
        employerCountry:
          type: string
          nullable: true
        aoRef:
          type: string
          nullable: true
        hmrcOfficeNumber:
          type: string
          nullable: true
        hmrcOfficeReference:
          type: string
          nullable: true
        hmrcOfficeName:
          type: string
          nullable: true
        hmrcOfficeAddressLines:
          type: array
          items:
            type: string
        hmrcTelephoneNumber:
          type: string
          nullable: true
        hmrcTelephoneExtension:
          type: string
          nullable: true
        hmrcTelephoneType:
          type: string
          nullable: true
        hmrcTelephoneMobile:
          type: string
          nullable: true
        hmrcTelephonePreferred:
          type: string
          nullable: true
        agentId:
          type: string
          nullable: true
        agentName:
          type: string
          nullable: true
        agentAddressLines:
          type: array
          items:
            type: string
        agentPostCode:
          type: string
          nullable: true
        agentCountry:
          type: string
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    CISContent:
      type: object
      properties:
        messageText:
          type: string
        uniqueId:
          type: string
          nullable: true
        defaultPeriodEnding:
          type: string
          format: date-time
          nullable: true
        employerAccountsOfficeReference:
          type: string
          nullable: true
        subcontractorInfo:
          type: array
          items:
            $ref: '#/components/schemas/CisSubcontractorInfo'
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    IncentiveContent:
      type: object
      properties:
        incentiveType:
          type: string
        messageText:
          type: string
        incentiveAmount:
          type: number
          format: double
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PenaltyContent:
      type: object
      properties:
        penaltyType:
          type: string
        messageText:
          type: string
        periodEnding:
          type: string
          format: date-time
          nullable: true
        dateOfReceipt:
          type: string
          format: date-time
          nullable: true
        penaltyAmount:
          type: number
          format: double
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    NonFilingContent:
      type: object
      properties:
        noticeType:
          type: string
        messageText:
          type: string
        periodEnding:
          type: string
          format: date-time
          nullable: true
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    GenericContent:
      type: object
      properties:
        messageText:
          type: string
        notificationType:
          type: string
        messageTypeId:
          type: integer
          format: int32
        messageTypeTitle:
          type: string
        dutyType:
          type: string
        informationItems:
          type: array
          items:
            $ref: '#/components/schemas/RtiInformationItem'
        changeItems:
          type: array
          items:
            $ref: '#/components/schemas/RtiChangeItem'
        actionRequired:
          type: string
          nullable: true
        actionDescription:
          type: string
          nullable: true
        actionDueDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    CisSubcontractorInfo:
      type: object
      properties:
        name:
          type: string
        utr:
          type: string
        directCostOfMaterialsAmount:
          type: number
          format: double
        totalPaymentsMadeAmount:
          type: number
          format: double
      additionalProperties: false
    RtiInformationItem:
      type: object
      properties:
        id:
          type: string
          nullable: true
        displayName:
          type: string
        value:
          type: string
        sequence:
          type: integer
          format: int32
          nullable: true
        valueType:
          type: string
          nullable: true
      additionalProperties: false
    RtiChangeItem:
      type: object
      properties:
        id:
          type: string
          nullable: true
        displayName:
          type: string
        previousValue:
          type: string
          nullable: true
        newValue:
          type: string
          nullable: true
        sequence:
          type: integer
          format: int32
          nullable: true
        previousValueType:
          type: string
          nullable: true
        newValueType:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-Auth-Token:
      type: apiKey
      description: Authentication token for API access
      name: X-Auth-Token
      in: header
    X-Org-Id:
      type: apiKey
      description: >-
        Organisation to scope the request to. Required when the principal can
        access more than one organisation; optional for single-organisation
        principals (the authorizer resolves it automatically).
      name: X-Org-Id
      in: header

````